using System;

namespace cetvrti_zadatak_kvalifikacije_1
{
    class Program
    {
        static void ZabranjenaRec(string t, int n, string s, int m, ref int brojac)
        {
            char[] pomeraj1 = new char[n];
            int[] pomeraj2 = new int[m];
            int i = 0, j = 0,min = 0;
            while (i < n)
            {
                while (j < m)
                {
                    if (t[i] == s[j])
                    {
                        pomeraj1[i] = s[j];
                        pomeraj2[j]++;
                    }
                    j++;
                }
                i++;
            }
            brojac = int.MaxValue;
            i = 0;
            while (i < m)
            {
                if (pomeraj2[i] < brojac)
                {
                    brojac = pomeraj2[i];
                    min = i;
                }
                i++;
            }
            i = 0;
            while (i < n)
            {
                if (pomeraj1[i] != null)
                {
                    if (pomeraj1[i] == s[min])
                    {
                        pomeraj2[min]--;
                        t = t.Remove(i, 1).Insert(i, "*");
                    }
                    if (pomeraj2[min] == 0) break;
                }
                i++;
            }
            Console.WriteLine(brojac);
            Console.WriteLine(t);
            
        }
        static void Main(string[] args)
        {
            string t = Console.ReadLine();
            string s = Console.ReadLine();
            int br = 0;
            int i = 0;
            if (s == "a")
            {
                while(i<t.Length)
                {
                    if (t[i] == 'a')
                    {
                        t = t.Remove(i, 1).Insert(i, "*");
                        br++;
                    }
                    i++;
                }
                Console.WriteLine(br);
                Console.WriteLine(t);
            }
            else
            {
                ZabranjenaRec(t, t.Length, s, s.Length, ref br);
            }
        }
    }
}